## knot-resolver 5.3.1

=== meson_options.txt ===
# Configuration options
# SPDX-License-Identifier: GPL-3.0-or-later

option(
  'keyfile_default',
  type: 'string',
  value: 'root.keys',
  description: 'built-in path to DNSSEC trust anchors file',
)

option(
  'managed_ta',
  type: 'combo',
  choices: [
    'auto',
    'enabled',
    'disabled',
  ],
  value: 'auto',
  description: 'auto-manage DNSSEC trust anchors (RFC 5011)',
)

option(
  'root_hints',
  type: 'string',
  value: 'root.hints',
  description: 'built-in path to root.hints file',
)

option(
  'install_kresd_conf',
  type: 'combo',
  choices: [
    'auto',
    'enabled',
    'disabled',
  ],
  value: 'auto',
  description: 'creates kresd.conf in config directory',
)

option(
  'install_root_keys',
  type: 'combo',
  choices: [
    'auto',
    'enabled',
    'disabled',
  ],
  value: 'auto',
  description: 'installs DNSSEC TA to keyfile_default location',
)

option(
  'verbose_log',
  type: 'combo',
  choices: [
    'auto',
    'enabled',
    'disabled',
  ],
  value: 'auto',
  description: 'support verbose logging',
)

option(
  'user',
  type: 'string',
  value: 'knot-resolver',
  description: 'user which is used for running kresd',
)

option(
  'group',
  type: 'string',
  value: 'knot-resolver',
  description: 'group which is used for running kresd',
)

option(
  'sendmmsg',
  type: 'combo',
  choices: [
    'auto',
    'enabled',
    'disabled',
  ],
  value: 'auto',
  description: 'use sendmmsg syscall towards clients',
)

option(
  'capng',
  type: 'combo',
  choices: [
    'auto',
    'enabled',
    'disabled',
  ],
  value: 'auto',
  description: 'use libcapng to drop capabilities for non-root users',
)

## Systemd
option(
  'systemd_files',
  type: 'combo',
  choices: [
    'disabled',
    'enabled',
  ],
  value: 'disabled',
  description: 'installs systemd-related files',
)


# Component options
option(
  'bench',
  type: 'combo',
  choices: [
    'auto',
    'enabled',
    'disabled',
  ],
  value: 'disabled',
  description: 'build benchmarks',
)

option(
  'client',
  type: 'combo',
  choices: [
    'auto',
    'enabled',
    'disabled',
  ],
  value: 'auto',
  description: 'build kresc client binary',
)

option(
  'utils',
  type: 'combo',
  choices: [
    'auto',
    'enabled',
    'disabled',
  ],
  value: 'auto',
  description: 'build kres utilities',
)

option(
  'dnstap',
  type: 'combo',
  choices: [
    'auto',
    'enabled',
    'disabled',
  ],
  value: 'auto',
  description: 'build dnstap module',
)

option(
  'doc',
  type: 'combo',
  choices: [
    'auto',
    'enabled',
    'disabled',
  ],
  value: 'disabled',
  description: 'html documentation dependencies and installation',
)

option(
  'config_tests',
  type: 'combo',
  choices: [
    'auto',
    'enabled',
    'disabled',
  ],
  value: 'auto',
  description: 'postinstall config tests',
)

option(
  'extra_tests',
  type: 'combo',
  choices: [
    'auto',
    'enabled',
    'disabled',
  ],
  value: 'disabled',
  description: 'postinstall tests with extra dependencies',
)

option(
  'unit_tests',
  type: 'combo',
  choices: [
    'auto',
    'enabled',
    'disabled',
  ],
  value: 'auto',
  description: 'cmocka unit tests',
)

=== tests/integration/deckard/requirements.txt ===
dnspython>=1.15
dpkt
Jinja2>=2.10.2
PyYAML
python-augeas
pytest>=3.4
pytest-xdist
pyroute2

=== debian/changelog ===
knot-resolver (5.3.1-1+deb11u1) bullseye; urgency=medium

  * Fix possible assertion failure in NSEC3 edge-case (CVE-2021-40083)
    (Closes: #991463)

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 31 Aug 2021 16:20:00 +0000

knot-resolver (5.3.1-1) unstable; urgency=medium

  [ Jakub Ružička ]
  * New upstream release

  [ Santiago Ruano Rincón ]
  * Fix unaligned access and SIGBUS on armhf, and then the autopkgtest on
    armhf at ci.debian.net (Closes: #918248)

 -- Santiago Ruano Rincón <santiago@debian.org>  Mon, 12 Apr 2021 07:59:28 +0200

knot-resolver (5.3.0-1) unstable; urgency=medium

  [ Jakub Ružička ]
  * New upstream release

  [ Santiago Ruano Rincón ]
  * Add Portuguese debconf template translation (Closes: #982329)

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Wed, 03 Mar 2021 15:11:51 +0100

=== debian/control ===
Source: knot-resolver
Section: net
Priority: optional
Maintainer: knot-resolver packagers <knot-resolver@packages.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>,
           Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
           Santiago Ruano Rincón <santiago@debian.org>,
           Jakub Ružička <jakub.ruzicka@nic.cz>
Build-Depends: debhelper-compat (= 13),
               dns-root-data,
               doxygen,
               gnutls-bin <!nocheck>,
               knot-dnsutils <!nocheck>,
               libcmocka-dev (>= 1.0.0),
               libedit-dev,
               libfstrm-dev,
               libgnutls28-dev,
               libknot-dev (>= 3.0.1),
               liblmdb-dev,
               libluajit-5.1-dev,
               libnghttp2-dev,
               libprotobuf-c-dev,
               libsystemd-dev (>= 227) [linux-any],
               libuv1-dev,
               lua-basexx,
               lua-cqueues,
               luajit,
               meson,
               ninja-build,
               po-debconf,
               pkg-config,
               protobuf-c-compiler,
               python3-breathe,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               socat <!nocheck>
Standards-Version: 4.5.1
Homepage: https://www.knot-resolver.cz/
Vcs-Browser: https://salsa.debian.org/dns-team/knot-resolver
Vcs-Git: https://salsa.debian.org/dns-team/knot-resolver.git
Rules-Requires-Root: no

Package: knot-resolver
# Doesn't build on s390x due to missing luajit
#   https://github.com/LuaJIT/LuaJIT/issues/397
Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64 ppc64el
Depends: adduser,
         debconf,
         dns-root-data,
         lua-sec,
         lua-socket,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkres9 (<< 3.2.1-2)
Breaks: libkres9 (<< 3.2.1-2)
Recommends: knot-resolver-module-http,
            lua-basexx,
            lua-cqueues
Description: caching, DNSSEC-validating DNS resolver
 The Knot Resolver is a caching full resolver implementation
 written in C and LuaJIT, including both a resolver library and a
 daemon. Modular architecture of the library keeps the core tiny and
 efficient, and provides a state-machine like API for
 extensions. There are three built-in modules - iterator, cache,
 validator, and many external.
 .
 The Lua modules, switchable and shareable cache, and fast FFI
 bindings makes it great to tap into resolution process, or be used
 for your recursive DNS service. It's the OpenResty of DNS.
 .
 The server adopts a different scaling strategy than the rest of the
 DNS recursors - no threading, shared-nothing architecture (except
 MVCC cache that may be shared). You can start and stop additional
 nodes depending on the contention without downtime.

Package: knot-resolver-module-http
Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64 ppc64el
Depends: fonts-glyphicons-halflings,
         libjs-bootstrap,
         libjs-d3,
         libjs-jquery,
         lua-http,
         lua-mmdb,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: knot-resolver-module-tinyweb (<< 1.1.0~git20160713-1~)
Description: HTTP module for Knot Resolver
 The Knot Resolver is a caching full resolver implementation
 written in C and LuaJIT, including both a resolver library and a
 daemon. Modular architecture of the library keeps the core tiny and
 efficient, and provides a state-machine like API for
 extensions. There are three built-in modules - iterator, cache,
 validator, and many external.
 .
 This package contains HTTP module for local visualization of the
 resolver cache and queries.

Package: knot-resolver-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-jquery,
         libjs-underscore,
         ${misc:Depends}
Description: Documentation for Knot Resolver
 The Knot Resolver is a caching full resolver implementation
 written in C and LuaJIT, including both a resolver library and a
 daemon. Modular architecture of the library keeps the core tiny and
 efficient, and provides a state-machine like API for
 extensions. There are three built-in modules - iterator, cache,
 validator, and many external.
 .
 This package contains Knot Resolver Documentation.

=== debian/rules ===
#!/usr/bin/make -f

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic -fno-omit-frame-pointer
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

ifneq (,$(findstring arm64,$(DEB_TARGET_ARCH)))
	CONFIG_TESTS=disabled
else
	CONFIG_TESTS=enabled
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dkeyfile_default=/usr/share/dns/root.key \
		-Dinstall_root_keys=disabled \
		-Dmanaged_ta=disabled \
		-Droot_hints=/usr/share/dns/root.hints \
		-Dinstall_kresd_conf=enabled \
		-Dsystemd_files=enabled \
		-Dclient=enabled \
		-Dutils=enabled \
		-Ddoc=enabled \
		-Ddnstap=enabled \
		-Dunit_tests=enabled \
		-Dconfig_tests=$(CONFIG_TESTS) \
		-Dextra_tests=disabled

override_dh_auto_build:
	dh_auto_build -- doc
	dh_auto_build

override_dh_auto_install:
	sed -e's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' <debian/knot-resolver.postinst.in >debian/knot-resolver.postinst
	dh_auto_install

override_dh_installinit:
	dh_installinit -pknot-resolver --name=kresd --no-start

override_dh_missing:
	dh_missing --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## knot-resolver 5.4.4

=== meson_options.txt ===
--- 
+++ 
@@ -52,18 +52,6 @@
 )
 
 option(
-  'verbose_log',
-  type: 'combo',
-  choices: [
-    'auto',
-    'enabled',
-    'disabled',
-  ],
-  value: 'auto',
-  description: 'support verbose logging',
-)
-
-option(
   'user',
   type: 'string',
   value: 'knot-resolver',
@@ -176,6 +164,13 @@
 )
 
 option(
+  'kres_gen_test',
+  type: 'boolean',
+  value: true,
+  description: 'run kres_gen_test: a simple sanity check for our lua bindings',
+)
+
+option(
   'config_tests',
   type: 'combo',
   choices: [

=== doc/requirements.txt ===
Sphinx>=3.0.0
breathe

=== debian/changelog ===
knot-resolver (5.4.4-1) unstable; urgency=medium

  * New upstream release

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Wed, 05 Jan 2022 17:35:35 +0000

knot-resolver (5.4.3-1) unstable; urgency=medium

  * New upstream release

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Wed, 01 Dec 2021 15:34:11 +0000

knot-resolver (5.4.2-1) unstable; urgency=medium

  * New upstream release

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Mon, 18 Oct 2021 13:56:09 +0000

knot-resolver (5.4.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 31 Aug 2021 14:14:14 +0000

knot-resolver (5.4.1-1) experimental; urgency=medium

  * New upstream release
    - Compatible with Knot DNS 3.1
    - Includes fix for CVE-2021-40083 (Closes: #991463)
  * d/control: bump Standards-Version to 4.6.0
  * d/control: add Multi-Arch: same for module-http
  * d/tests: replace `which` with `command -v`

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Wed, 25 Aug 2021 12:21:12 +0000

knot-resolver (5.3.2-1) unstable; urgency=medium

  [ Jakub Ružička ]
  * New upstream release
  * d/patches: remove patch included upstream

  [ Santiago Ruano Rincón ]
  * Add Spanish debconf template translation (Closes: #987594)

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Thu, 13 May 2021 18:18:18 +0100

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
                python3-sphinx,
                python3-sphinx-rtd-theme,
                socat <!nocheck>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://www.knot-resolver.cz/
 Vcs-Browser: https://salsa.debian.org/dns-team/knot-resolver
 Vcs-Git: https://salsa.debian.org/dns-team/knot-resolver.git
@@ -75,6 +75,7 @@
 
 Package: knot-resolver-module-http
 Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64 ppc64el
+Multi-Arch: same
 Depends: fonts-glyphicons-halflings,
          libjs-bootstrap,
          libjs-d3,

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://secure.nic.cz/files/knot-resolver/ \
(?:|.*/)@PACKAGE@-([\d.]*)@ARCHIVE_EXT@

## knot-resolver 5.5.1

=== debian/changelog ===
knot-resolver (5.5.1-5ubuntu0.22.10.1) kinetic-security; urgency=medium

  * SECURITY UPDATE: denial of service issue when server returns large ns or
    address sets
    - debian/patches/CVE-2022-40188.patch: address throttling introduced for
      large responses.
    - CVE-2022-40188

 -- Evan Caville <evan.caville@canonical.com>  Wed, 28 Jun 2023 11:50:53 +1000

knot-resolver (5.5.1-5) unstable; urgency=medium

  * d/control: remove ppc64el from module-http

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Fri, 05 Aug 2022 16:59:22 +0000

knot-resolver (5.5.1-4) unstable; urgency=medium

  * d/control: remove broken ppc64el and s390x arches

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 02 Aug 2022 10:09:52 +0000

knot-resolver (5.5.1-3) unstable; urgency=medium

  * Upload to unstable

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Wed, 27 Jul 2022 08:14:55 +0000

knot-resolver (5.5.1-2) experimental; urgency=medium

  * Use experimental to test luajit2 (Closes: #1013810)
  * d/control: enable s390x due to luajit2 support

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Sun, 03 Jul 2022 18:19:14 +0000

knot-resolver (5.5.1-1) unstable; urgency=medium

  * New upstream release

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 14 Jun 2022 13:20:04 +0000

knot-resolver (5.5.0-1) unstable; urgency=medium

  * New upstream release
  * d/upstream/signing-key.asc: update upstream key
  * d/control: require Knot DNS 3.0.2

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Thu, 17 Mar 2022 17:34:34 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: knot-resolver
 Section: net
 Priority: optional
-Maintainer: knot-resolver packagers <knot-resolver@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: knot-resolver packagers <knot-resolver@packages.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>,
            Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
            Santiago Ruano Rincón <santiago@debian.org>,
@@ -15,7 +16,7 @@
                libedit-dev,
                libfstrm-dev,
                libgnutls28-dev,
-               libknot-dev (>= 3.0.1),
+               libknot-dev (>= 3.0.2),
                liblmdb-dev,
                libluajit-5.1-dev,
                libnghttp2-dev,
@@ -41,9 +42,7 @@
 Rules-Requires-Root: no
 
 Package: knot-resolver
-# Doesn't build on s390x due to missing luajit
-#   https://github.com/LuaJIT/LuaJIT/issues/397
-Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64 ppc64el
+Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64
 Depends: adduser,
          debconf,
          dns-root-data,
@@ -74,7 +73,7 @@
  nodes depending on the contention without downtime.
 
 Package: knot-resolver-module-http
-Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64 ppc64el
+Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64
 Multi-Arch: same
 Depends: fonts-glyphicons-halflings,
          libjs-bootstrap,

## knot-resolver 5.6.0

=== meson_options.txt ===
--- 
+++ 
@@ -149,6 +149,18 @@
   ],
   value: 'auto',
   description: 'build dnstap module',
+)
+
+option(
+  'malloc',
+  type: 'combo',
+  choices: [
+    'auto',     # 'jemalloc' if available
+    'disabled', # default provided by libc
+    'jemalloc',
+  ],
+  value: 'auto',
+  description: 'memory allocator to use in kresd',
 )
 
 option(

=== modules/policy/lua-aho-corasick/tests/Makefile ===
OS := $(shell uname)
ifeq ($(OS), Darwin)
    SO_EXT := dylib
else
    SO_EXT := so
endif

.PHONY = all clean test runtest benchmark

PROGRAM = ac_test
BENCHMARK = ac_bench
all: runtest

CXXFLAGS = -O3 -g -march=native -Wall -DDEBUG
MYCXXFLAGS = -MMD -I.. $(CXXFLAGS)
%.o : %.cxx
	$(CXX) $< -c $(MYCXXFLAGS)

-include dep.cxx
SRC = test_main.cxx ac_test_simple.cxx ac_test_aggr.cxx test_bigfile.cxx

OBJ = ${SRC:.cxx=.o}

-include test_dep.txt
-include bench_dep.txt

$(PROGRAM) $(BENCHMARK) : testinput/text.tar testinput/image.bin
$(PROGRAM) : $(OBJ) ../libac.$(SO_EXT)
	$(CXX) $(OBJ) -L.. -lac -o $@
	-cat *.d > test_dep.txt

$(BENCHMARK) : ac_bench.o ../libac.$(SO_EXT)
	$(CXX) ac_bench.o -L.. -lac -o $@
	-cat *.d > bench_dep.txt

ifneq ($(OS), Darwin)
runtest:$(PROGRAM)
	LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):.. ./$(PROGRAM) testinput/*

benchmark:$(BENCHMARK)
	LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):.. ./ac_bench

else
runtest:$(PROGRAM)
	DYLD_LIBRARY_PATH=$(DYLD_LIBRARY_PATH):.. ./$(PROGRAM) testinput/*

benchmark:$(BENCHMARK)
	DYLD_LIBRARY_PATH=$(DYLD_LIBRARY_PATH):.. ./ac_bench

endif

testinput/text.tar:
	echo "download testing files (gcc tarball)..."
	if [ ! -d testinput ] ; then mkdir testinput; fi
	cd testinput && \
	curl ftp://ftp.gnu.org/gnu/gcc/gcc-1.42.tar.gz -o text.tar.gz 2>/dev/null \
    && gzip -d text.tar.gz

testinput/image.bin:
	echo "download testing files.."
	if [ ! -d testinput ] ; then mkdir testinput; fi
	curl http://www.3dvisionlive.com/sites/default/files/Curiosity_render_hiresb.jpg -o $@ 2>/dev/null

clean:
	-rm -f *.o *.d dep.txt $(PROGRAM) $(BENCHMARK)

=== debian/changelog ===
knot-resolver (5.6.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add po file into Brazilian Portuguese translation. (Closes: #1025987)
  * debian/control
    - Bump Standards-Version 4.6.2

 -- Paulo Henrique de Lima Santana (phls) <phls@debian.org>  Thu, 22 Jun 2023 23:16:56 -0300

knot-resolver (5.6.0-1) unstable; urgency=medium

  * New upstream release
  * New Build-Depends: libjemalloc-dev
  * Remove years from CZ.NIC copyright

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Thu, 26 Jan 2023 21:41:02 +0100

knot-resolver (5.5.3-1) unstable; urgency=medium

  * New upstream release
    - Resolves CVE-2022-40188

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Thu, 22 Sep 2022 05:34:20 +0000

knot-resolver (5.5.2-1) unstable; urgency=medium

  * New upstream release with support for Knot DNS >= 3.2.0
  * Remove ppc64 arch without luajit

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Fri, 02 Sep 2022 13:05:58 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: knot-resolver
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: knot-resolver packagers <knot-resolver@packages.debian.org>
+Maintainer: knot-resolver packagers <knot-resolver@packages.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>,
            Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
            Santiago Ruano Rincón <santiago@debian.org>,
@@ -16,6 +15,7 @@
                libedit-dev,
                libfstrm-dev,
                libgnutls28-dev,
+               libjemalloc-dev,
                libknot-dev (>= 3.0.2),
                liblmdb-dev,
                libluajit-5.1-dev,
@@ -35,14 +35,14 @@
                python3-sphinx,
                python3-sphinx-rtd-theme,
                socat <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://www.knot-resolver.cz/
 Vcs-Browser: https://salsa.debian.org/dns-team/knot-resolver
 Vcs-Git: https://salsa.debian.org/dns-team/knot-resolver.git
 Rules-Requires-Root: no
 
 Package: knot-resolver
-Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64
+Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel
 Depends: adduser,
          debconf,
          dns-root-data,
@@ -73,7 +73,7 @@
  nodes depending on the contention without downtime.
 
 Package: knot-resolver-module-http
-Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64
+Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel
 Multi-Arch: same
 Depends: fonts-glyphicons-halflings,
          libjs-bootstrap,

## knot-resolver 5.7.0

=== debian/changelog ===
knot-resolver (5.7.0-1build1) noble; urgency=medium

  * Rebuild against latest knot

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 27 Oct 2023 09:37:41 -0400

knot-resolver (5.7.0-1) unstable; urgency=medium

  * New upstream release

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 22 Aug 2023 15:39:48 +0200

## knot-resolver 5.7.2

=== debian/changelog ===
knot-resolver (5.7.2-1) unstable; urgency=medium

  * New upstream release

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 02 Apr 2024 07:26:43 +0200

knot-resolver (5.7.1-1) unstable; urgency=medium

  * New upstream release
    - Mitigates CVE-2023-50387 "KeyTrap"

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Wed, 14 Feb 2024 15:30:06 +0100

=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
                python3-sphinx,
                python3-sphinx-rtd-theme,
                socat <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.6.0
 Homepage: https://www.knot-resolver.cz/
 Vcs-Browser: https://salsa.debian.org/dns-team/knot-resolver
 Vcs-Git: https://salsa.debian.org/dns-team/knot-resolver.git

## knot-resolver 5.7.3

=== debian/changelog ===
knot-resolver (5.7.3-1) unstable; urgency=medium

  * New upstream release
  * Remove unneeded lintian-overrides
  * d/copyright: Remove obsolete lib/generic/map entry
  * Update debian/watch to only watch for v5 archives

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 04 Jun 2024 19:47:29 +0200

## knot-resolver 5.7.4

=== tests/integration/deckard/requirements.txt ===
--- 
+++ 
@@ -5,4 +5,5 @@
 python-augeas
 pytest>=3.4
 pytest-xdist
+pytest-forked
 pyroute2

=== debian/changelog ===
knot-resolver (5.7.4-2build1) plucky; urgency=medium

  * No-change rebuild for libknot15

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 12 Nov 2024 20:19:56 +0000

knot-resolver (5.7.4-2) unstable; urgency=medium

  * Team upload.
  * Install remaining systemd links in /lib into /usr/lib (Closes: #1073675)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 11 Aug 2024 11:32:31 +0200

knot-resolver (5.7.4-1) unstable; urgency=medium

  * New upstream release
  * Update my email in Uploaders to jru@debian.org

 -- Jakub Ružička <jru@debian.org>  Wed, 24 Jul 2024 17:49:22 +0200

knot-resolver (5.7.3-2) unstable; urgency=low

  * Move systemd files to /usr/lib/ (Closes: #1073675)
  * Enable ARM builds on salsa CI

 -- Santiago Ruano Rincón <santiago@debian.org>  Tue, 16 Jul 2024 13:26:43 -0300

## knot-resolver 5.7.5

=== meson_options.txt ===
--- 
+++ 
@@ -217,3 +217,15 @@
   value: 'auto',
   description: 'cmocka unit tests',
 )
+
+option(
+  'install_rpath',
+  type: 'combo',
+  choices: [
+    'auto',
+    'enabled',
+    'disabled',
+  ],
+  value: 'auto',
+  description: 'add rpath to the knot resolver executables',
+)

=== doc/requirements.txt ===
Sphinx>=3.0.0
breathe
sphinx_rtd_theme

=== debian/changelog ===
knot-resolver (5.7.5-1) unstable; urgency=medium

  * New upstream release

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation

 -- Jakub Ružička <jru@debian.org>  Thu, 24 Apr 2025 16:59:01 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Ondřej Surý <ondrej@debian.org>,
            Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
            Santiago Ruano Rincón <santiago@debian.org>,
-           Jakub Ružička <jakub.ruzicka@nic.cz>
+           Jakub Ružička <jru@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dns-root-data,
                doxygen,

=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,8 @@
 		-Ddnstap=enabled \
 		-Dunit_tests=enabled \
 		-Dconfig_tests=$(CONFIG_TESTS) \
-		-Dextra_tests=disabled
+		-Dextra_tests=disabled \
+		-Dmalloc=jemalloc
 
 override_dh_auto_build:
 	dh_auto_build -- doc

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://secure.nic.cz/files/knot-resolver/ \
(?:|.*/)@PACKAGE@-(5\.[\d.]*)@ARCHIVE_EXT@

## knot-resolver 6.0.10

=== debian/changelog ===
knot-resolver (6.0.10-1) experimental; urgency=medium

  * New upstream release
  * Add Recommends: python3-watchdog
  * Add new kresctl bash completions

 -- Jakub Ružička <jru@debian.org>  Mon, 20 Jan 2025 16:01:49 +0100

knot-resolver (6.0.9-1) experimental; urgency=medium

  * New major version 6 (6.0.x marks alpha). (Closes: #1068951)
  * Rename to knot-resolver6 to prevent unwanted upgrades
    as there is no upgrade path (new declarative config format).
  * Docs disabled due to missing dep python3-json-schema-for-humans.
  * Sync with upstream packaging.

  [ Daniel Baumann ]
  * Running 'wrap-and-sort -bast' for git friendlier formatting of debian
    packaging files.
  * Harmonizing file paths in debhelper files.
  * Removing dh_missing override, 'fail-missing' is default behaviour.
  * Removing obsolete doc-base support.
  * Using useradd from passwd instead of adduser to avoid the extra dependency.
  * Removing explicit debug package, they get automatically generated.
  * Prefixing debhelper files with package name rather than to rely on
    implicit debhelper behaviour.
  * Removing unneeded manual debconf dependencies.
  * Removing unused debconf po files for now.
  * Synchronising copyright with upstream.
  * Readding debian/missing-sources references in copyright.

 -- Jakub Ružička <jru@debian.org>  Wed, 20 Nov 2024 14:10:34 +0100

## knot-resolver 6.0.13

=== debian/changelog ===
knot-resolver (6.0.13-1) experimental; urgency=medium

  * New upstream release

 -- Jakub Ružička <jru@debian.org>  Thu, 29 May 2025 14:17:15 +0200

knot-resolver (6.0.12-1) experimental; urgency=medium

  * New upstream release

 -- Jakub Ružička <jru@debian.org>  Fri, 25 Apr 2025 14:38:22 +0200

## knot-resolver 6.0.14

=== debian/changelog ===
knot-resolver (6.0.14-1) experimental; urgency=medium

  * New upstream release (Closes: #1109278)

 -- Jakub Ružička <jru@debian.org>  Mon, 14 Jul 2025 17:01:45 +0200

## knot-resolver 6.0.15

=== meson_options.txt ===
--- 
+++ 
@@ -35,8 +35,8 @@
     'enabled',
     'disabled',
   ],
-  value: 'auto',
-  description: 'creates kresd.conf in config directory',
+  value: 'disabled',
+  description: 'creates kresd.conf in config directory (legacy for version before 6)',
 )
 
 option(
@@ -101,6 +101,16 @@
   description: 'installs systemd-related files',
 )
 
+option(
+  'systemd_legacy_units',
+  type: 'combo',
+  choices: [
+    'disabled',
+    'enabled',
+  ],
+  value: 'disabled',
+  description: 'installs legacy systemd units for running without manager, like with versions before 6',
+)
 
 # Component options
 option(
@@ -113,18 +123,6 @@
   ],
   value: 'disabled',
   description: 'build benchmarks',
-)
-
-option(
-  'client',
-  type: 'combo',
-  choices: [
-    'auto',
-    'enabled',
-    'disabled',
-  ],
-  value: 'auto',
-  description: 'build kresc client binary',
 )
 
 option(

=== tests/pytests/requirements.txt ===
dnspython
jinja2
pytest
pytest-html
pytest-xdist

=== modules/policy/lua-aho-corasick/Makefile ===
OS := $(shell uname)

ifeq ($(OS), Darwin)
    SO_EXT := dylib
else
    SO_EXT := so
endif

#############################################################################
#
#           Binaries we are going to build
#
#############################################################################
#
C_SO_NAME = libac.$(SO_EXT)
LUA_SO_NAME = ahocorasick.$(SO_EXT)
AR_NAME = libac.a

#############################################################################
#
#           Compile and link flags
#
#############################################################################
PREFIX ?= /usr/local
LUA_VERSION := 5.1
LUA_INCLUDE_DIR := $(PREFIX)/include/lua$(LUA_VERSION)
SO_TARGET_DIR := $(PREFIX)/lib/lua/$(LUA_VERSION)
LUA_TARGET_DIR := $(PREFIX)/share/lua/$(LUA_VERSION)

# Available directives:
# -DDEBUG : Turn on debugging support
# -DVERIFY : To verify if the slow-version and fast-version implementations
#            get exactly the same result. Note -DVERIFY implies -DDEBUG.
#
COMMON_FLAGS = -O3 #-g -DVERIFY -msse2 -msse3 -msse4.1
COMMON_FLAGS += -fvisibility=hidden -Wall $(CXXFLAGS) $(MY_CXXFLAGS) $(CPPFLAGS)

SO_CXXFLAGS = $(COMMON_FLAGS) -fPIC
SO_LFLAGS = $(COMMON_FLAGS) $(LDFLAGS)
AR_CXXFLAGS = $(COMMON_FLAGS)

# -DVERIFY implies -DDEBUG
ifneq ($(findstring -DVERIFY, $(COMMON_FLAGS)), )
ifeq ($(findstring -DDEBUG, $(COMMON_FLAGS)), )
    COMMON_FLAGS += -DDEBUG
endif
endif

AR = ar
AR_FLAGS = cru

#############################################################################
#
#       Divide source codes and objects into several categories
#
#############################################################################
#
SRC_COMMON := ac_fast.cxx ac_slow.cxx
LIBAC_SO_SRC := $(SRC_COMMON) ac.cxx    # source for libac.so
LUA_SO_SRC := $(SRC_COMMON) ac_lua.cxx  # source for ahocorasick.so
LIBAC_A_SRC := $(LIBAC_SO_SRC)          # source for libac.a

#############################################################################
#
#                   Make rules
#
#############################################################################
#
.PHONY = all clean test benchmark prepare
all : $(C_SO_NAME) $(LUA_SO_NAME) $(AR_NAME)

-include c_so_dep.txt
-include lua_so_dep.txt
-include ar_dep.txt

BUILD_SO_DIR := build_so
BUILD_AR_DIR := build_ar

$(BUILD_SO_DIR) :; mkdir $@
$(BUILD_AR_DIR) :; mkdir $@

$(BUILD_SO_DIR)/%.o : %.cxx | $(BUILD_SO_DIR)
	$(CXX) $< -c $(SO_CXXFLAGS) -I$(LUA_INCLUDE_DIR) -MMD -o $@

$(BUILD_AR_DIR)/%.o : %.cxx | $(BUILD_AR_DIR)
	$(CXX) $< -c $(AR_CXXFLAGS) -I$(LUA_INCLUDE_DIR) -MMD -o $@

ifneq ($(OS), Darwin)
$(C_SO_NAME) : $(addprefix $(BUILD_SO_DIR)/, ${LIBAC_SO_SRC:.cxx=.o})
	$(CXX) $+ -shared -Wl,-soname=$(C_SO_NAME) $(SO_LFLAGS) -o $@
	cat $(addprefix $(BUILD_SO_DIR)/, ${LIBAC_SO_SRC:.cxx=.d}) > c_so_dep.txt

$(LUA_SO_NAME) : $(addprefix $(BUILD_SO_DIR)/, ${LUA_SO_SRC:.cxx=.o})
	$(CXX) $+ -shared -Wl,-soname=$(LUA_SO_NAME) $(SO_LFLAGS) -o $@
	cat $(addprefix $(BUILD_SO_DIR)/, ${LUA_SO_SRC:.cxx=.d}) > lua_so_dep.txt

else
$(C_SO_NAME) : $(addprefix $(BUILD_SO_DIR)/, ${LIBAC_SO_SRC:.cxx=.o})
	$(CXX) $+ -shared $(SO_LFLAGS) -o $@
	cat $(addprefix $(BUILD_SO_DIR)/, ${LIBAC_SO_SRC:.cxx=.d}) > c_so_dep.txt

$(LUA_SO_NAME) : $(addprefix $(BUILD_SO_DIR)/, ${LUA_SO_SRC:.cxx=.o})
	$(CXX) $+ -shared $(SO_LFLAGS) -o $@ -Wl,-undefined,dynamic_lookup
	cat $(addprefix $(BUILD_SO_DIR)/, ${LUA_SO_SRC:.cxx=.d}) > lua_so_dep.txt
endif

$(AR_NAME) : $(addprefix $(BUILD_AR_DIR)/, ${LIBAC_A_SRC:.cxx=.o})
	$(AR) $(AR_FLAGS) $@ $+
	cat $(addprefix $(BUILD_AR_DIR)/, ${LIBAC_A_SRC:.cxx=.d}) > lua_so_dep.txt

#############################################################################
#
#           Misc
#
#############################################################################
#
test : $(C_SO_NAME)
	$(MAKE) -C tests && \
	luajit tests/lua_test.lua && \
	luajit tests/load_ac_test.lua

benchmark: $(C_SO_NAME)
	$(MAKE) benchmark -C tests

clean :
	-rm -rf *.o *.d c_so_dep.txt lua_so_dep.txt ar_dep.txt $(TEST) \
        $(C_SO_NAME) $(LUA_SO_NAME) $(TEST) $(BUILD_SO_DIR) $(BUILD_AR_DIR) \
        $(AR_NAME)
	make clean -C tests

install:
	install -D -m 755 $(C_SO_NAME) $(DESTDIR)/$(SO_TARGET_DIR)/$(C_SO_NAME)
	install -D -m 755 $(LUA_SO_NAME) $(DESTDIR)/$(SO_TARGET_DIR)/$(LUA_SO_NAME)
	install -D -m 664 load_ac.lua $(DESTDIR)/$(LUA_TARGET_DIR)/load_ac.lua

=== tests/integration/deckard/requirements.txt ===
--- 
+++ 
@@ -7,3 +7,4 @@
 pytest-xdist
 pytest-forked
 pyroute2
+lief

=== debian/changelog ===
knot-resolver (6.0.15-4build1) resolute; urgency=medium

  * No-change rebuild for libknot16.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 29 Oct 2025 19:15:44 +0000

knot-resolver (6.0.15-4) unstable; urgency=medium

  * Rebuild to trigger transition after removal of v5 packages
  * Disable no longer working ARM jobs in Salsa CI
  * Drop allow_failure for lintian Salsa CI
  * Use recommended invocation of Salsa CI

 -- Jakub Ružička <jru@debian.org>  Fri, 24 Oct 2025 16:12:55 +0200

knot-resolver (6.0.15-3) unstable; urgency=medium

  * Use Architecture: any for all subpackages

 -- Jakub Ružička <jru@debian.org>  Mon, 13 Oct 2025 06:51:01 +0200

knot-resolver (6.0.15-2) unstable; urgency=medium

  * New major version 6
  * Backport from debian/experimental (merge unviable due to divergence)
  * Rename to knot-resolver6 to prevent unwanted upgrades
    as there is no upgrade path (new declarative config format).
  * Docs disabled due to missing dep python3-json-schema-for-humans.
  * Sync with upstream packaging.
  * Add Recommends: python3-watchdog
  * Add new kresctl bash completions.
  * Don't refer to FSF physical address in debian/copyright
  * Remove redundant Rules-Requires-Root: no
  * Update Standards-Version to latest 4.7.2 (no changes)

  [ Daniel Baumann ]
  * Running 'wrap-and-sort -bast' for git friendlier formatting of debian
    packaging files.
  * Harmonizing file paths in debhelper files.
  * Removing dh_missing override, 'fail-missing' is default behaviour.
  * Removing obsolete doc-base support.
  * Using useradd from passwd instead of adduser to avoid the extra dependency.
  * Removing explicit debug package, they get automatically generated.
  * Prefixing debhelper files with package name rather than to rely on
    implicit debhelper behaviour.
  * Removing unneeded manual debconf dependencies.
  * Removing unused debconf po files for now.
  * Synchronising copyright with upstream.
  * Readding debian/missing-sources references in copyright.

 -- Jakub Ružička <jru@debian.org>  Fri, 10 Oct 2025 14:00:17 +0200

=== debian/control ===
Source: knot-resolver
Section: net
Priority: optional
Maintainer: knot-resolver packagers <knot-resolver@packages.debian.org>
Uploaders:
 Ondřej Surý <ondrej@debian.org>,
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
 Santiago Ruano Rincón <santiago@debian.org>,
 Jakub Ružička <jru@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dns-root-data,
 gnutls-bin <!nocheck>,
 knot-dnsutils <!nocheck>,
 libcap-ng-dev,
 libcmocka-dev (>= 1.0.0),
 libfstrm-dev,
 libgnutls28-dev,
 libjemalloc-dev,
 libknot-dev (>= 3.0.2),
 liblmdb-dev,
 libluajit-5.1-dev,
 libnghttp2-dev,
 libprotobuf-c-dev,
 libssl-dev,
 libsystemd-dev (>= 227) [linux-any],
 libuv1-dev,
 luajit,
 meson,
 ninja-build,
 pkgconf,
 protobuf-c-compiler,
 python3,
 python3-dev,
 python3-setuptools,
 socat <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://www.knot-resolver.cz/
Vcs-Browser: https://salsa.debian.org/dns-team/knot-resolver
Vcs-Git: https://salsa.debian.org/dns-team/knot-resolver.git

Package: knot-resolver6
Architecture: any
Depends:
 adduser,
 dns-root-data,
 python3-aiohttp,
 python3-jinja2,
 python3-yaml,
 supervisor,
 systemd,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Breaks:
 knot-resolver (<< 6),
Replaces:
 knot-resolver (<< 6),
Recommends:
 lua-basexx,
 lua-cqueues,
 lua-http,
 lua-psl,
 python3-prometheus-client,
 python3-watchdog,
Suggests:
 knot-resolver6-module-http,
Description: caching, DNSSEC-validating DNS resolver - binaries
 Knot Resolver is a caching full resolver implementation
 written in C and LuaJIT, including both a resolver library and a
 daemon. Modular architecture of the library keeps the core tiny and
 efficient, and provides a state-machine like API for
 extensions. There are three built-in modules - iterator, cache,
 validator, and many external.
 .
 The Lua modules, switchable and shareable cache, and fast FFI
 bindings makes it great to tap into resolution process, or be used
 for your recursive DNS service. It's the OpenResty of DNS.
 .
 The server adopts a different scaling strategy than the rest of the
 DNS recursors - no threading, shared-nothing architecture (except
 MVCC cache that may be shared). You can start and stop additional
 nodes depending on the contention without downtime.
 .
 Knot Resolver Manager hides the complexity of running several independent
 resolver processes while ensuring zero-downtime reconfiguration with YAML/JSON
 declarative configuration and an optional HTTP API for dynamic changes.

Package: knot-resolver6-dev
Architecture: any
Depends:
 knot-resolver6 (= ${binary:Version}),
 ${misc:Depends},
Section: libdevel
Description: Knot Resolver development files
 Knot Resolver is a caching full resolver implementation
 written in C and LuaJIT, including both a resolver library and a
 daemon. Modular architecture of the library keeps the core tiny and
 efficient, and provides a state-machine like API for
 extensions.
 .
 This package provides the development headers for Knot Resolver.

Package: knot-resolver6-module-dnstap
Architecture: any
Depends:
 knot-resolver6 (= ${binary:Version}),
 libfstrm0,
 libprotobuf-c1,
 ${misc:Depends},
 ${shlibs:Depends},
Description: dnstap module for Knot Resolver
 The Knot Resolver is a caching full resolver implementation
 written in C and LuaJIT, including both a resolver library and a
 daemon. Modular architecture of the library keeps the core tiny and
 efficient, and provides a state-machine like API for
 extensions. There are three built-in modules - iterator, cache,
 validator, and many external.
 .
 This package contains dnstap module for logging DNS responses
 to a unix socket in dnstap format.

Package: knot-resolver6-module-http
Architecture: any
Depends:
 knot-resolver6 (= ${binary:Version}),
 libjs-bootstrap,
 libjs-d3,
 libjs-jquery,
 lua-cqueues,
 lua-http,
 lua-mmdb,
 systemd,
 ${misc:Depends},
Description: HTTP module for Knot Resolver
 The Knot Resolver is a caching full resolver implementation
 written in C and LuaJIT, including both a resolver library and a
 daemon. Modular architecture of the library keeps the core tiny and
 efficient, and provides a state-machine like API for
 extensions. There are three built-in modules - iterator, cache,
 validator, and many external.
 .
 This package contains HTTP/2 module for local visualization of the
 resolver cache and queries.

=== debian/tests/control ===
Tests: roundtrip
Depends:
 gnutls-bin,
 knot-dnsutils,
 knot-resolver,
 socat,
Restrictions: needs-root, skip-not-installable

## knot-resolver 6.0.17

=== debian/changelog ===
knot-resolver (6.0.17-1~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
    - Setting Restart to always in systemd unit.
  * Merging upstream version 6.0.17.
  * Merging debian version 6.0.17-1.
  * Removing domainname-validation-strictness.patch, included upstream.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 02 Dec 2025 17:43:49 +0100

knot-resolver (6.0.17-1) unstable; urgency=medium

  * New upstream release
  * Install new fallback.lua kresd module
  * Add protobuf-compiler to Build-Depends

 -- Jakub Ružička <jru@debian.org>  Tue, 02 Dec 2025 16:02:59 +0100

knot-resolver (6.0.15-4~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
    - Setting Restart to always in systemd unit.
    - Adding patch from upstream to fix validation strictness for
      DomainName.
  * Merging debian version 6.0.15-4.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 25 Oct 2025 08:18:51 +0200

knot-resolver (6.0.15-3~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
    - Setting Restart to always in systemd unit.
    - Adding patch from upstream to fix validation strictness for
      DomainName.
  * Merging debian version 6.0.15-3.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 14 Oct 2025 19:18:50 +0200

knot-resolver (6.0.15-2~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
    - Setting Restart to always in systemd unit.
    - Adding patch from upstream to fix validation strictness for
      DomainName.
  * Merging debian version 6.0.15-2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 14 Oct 2025 19:17:50 +0200

knot-resolver (6.0.15-1~progress8.99u2) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
    - Setting Restart to always in systemd unit.
  * Adding patch from upstream to fix validation strictness for
    DomainName.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 29 Jul 2025 10:59:08 +0200

knot-resolver (6.0.15-1~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
    - Setting Restart to always in systemd unit.
  * Merging upstream version 6.0.15.
  * Merging debian version 6.0.15-1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 18 Jul 2025 23:50:44 +0200

knot-resolver (6.0.14-1~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
    - Setting Restart to always in systemd unit.
  * Merging upstream version 6.0.14.
  * Merging debian version 6.0.14-1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 15 Jul 2025 06:10:48 +0200

knot-resolver (6.0.13-1~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
    - Setting Restart to always in systemd unit.
  * Merging upstream version 6.0.13.
  * Merging debian version 6.0.13-1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 13 Jul 2025 18:24:02 +0200

knot-resolver (6.0.12-1~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
    - Setting Restart to always in systemd unit.
  * Merging upstream version 6.0.12.
  * Merging debian version 6.0.12-1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 13 Jul 2025 18:23:09 +0200

knot-resolver (6.0.10-1~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
    - Setting Restart to always in systemd unit.
  * Merging upstream version 6.0.10.
  * Merging debian version 6.0.10-1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 13 Jul 2025 18:22:45 +0200

knot-resolver (6.0.9-1~progress8.99u1) horok-backports; urgency=medium

  * Initial upload to horok-backports.
  * Updating maintainer field.
  * Updating uploaders field.
  * Updating bugs field.
  * Updating vcs fields.
  * Setting Restart to always in systemd unit.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 13 Jul 2025 18:21:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,15 @@
 Source: knot-resolver
 Section: net
 Priority: optional
-Maintainer: knot-resolver packagers <knot-resolver@packages.debian.org>
-Uploaders:
+Maintainer: Progress Linux Maintainers <maintainers@lists.progress-linux.org>
+XSBC-Uploaders: Daniel Baumann <daniel.baumann@progress-linux.org>
+XSBC-Original-Maintainer: knot-resolver packagers <knot-resolver@packages.debian.org>
+XSBC-Original-Uploaders:
  Ondřej Surý <ondrej@debian.org>,
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
  Santiago Ruano Rincón <santiago@debian.org>,
  Jakub Ružička <jru@debian.org>,
+Bugs: mailto:maintainers@lists.progress-linux.org
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
@@ -30,6 +33,7 @@
  meson,
  ninja-build,
  pkgconf,
+ protobuf-compiler,
  protobuf-c-compiler,
  python3,
  python3-dev,
@@ -37,8 +41,10 @@
  socat <!nocheck>,
 Standards-Version: 4.7.2
 Homepage: https://www.knot-resolver.cz/
-Vcs-Browser: https://salsa.debian.org/dns-team/knot-resolver
-Vcs-Git: https://salsa.debian.org/dns-team/knot-resolver.git
+Vcs-Browser: https://git.progress-linux.org/horok-backports/knot-resolver
+Vcs-Git: https://git.progress-linux.org/horok-backports/knot-resolver
+XSBC-Original-Vcs-Browser: https://salsa.debian.org/dns-team/knot-resolver
+XSBC-Original-Vcs-Git: https://salsa.debian.org/dns-team/knot-resolver.git
 
 Package: knot-resolver6
 Architecture: any
